{% extends 'base.twig' %}

{% block main %}
<section class="{{race}}">

    <section class="base_info">

        <img src="{{ unit.avatar }}"/>
        <p class="title">- {{ unit.name }} -</p>

    </section>

    <section class="caract">

        <div class="main_desc">

            <img src="{{ unit.picture }}"/>
            <p class="title">{{ unit.type }}</p>

        </div>

        <div class="specs">

            <p class="title HPT">Hit points  : {{ unit.hitpoints }}</p>
            <p class="title ARM">Armor : {{ unit.armor }}</p>
            <p class="title DMG">Damage  : {% if unit.damage != null %} {{ unit.damage }} {% else %} <img class="TRAVOLTA" src="../assets/img/7VE.gif"/>  {% endif %}</p>
            <p class="title RNG">Range  : {% if unit.range != null %} {{ unit.range }} {% else %} <img class="TRAVOLTA" src="../assets/img/7VE.gif"/> {% endif %}</p>
            <p class="title SHT">Sight  : {{ unit.sight }}</p>
            <p class="title SPE">Speed  : {{ unit.speed }}</p>  
            <p class="title SRE">Starting energy  : {% if unit.starting_energy != null %} {{ unit.starting_energy }} {% else %} <img class="TRAVOLTA" src="../assets/img/7VE.gif"/> {% endif %} </p>
            <p class="title MXE">Max energy : {% if unit.max_energy != null %} {{ unit.max_energy}} {% else %} <img class="TRAVOLTA" src="../assets/img/7VE.gif"/> {% endif %}</p>
            <p class="title BTM">Build time  : {{ unit.build_time}}</p>
            <p class="title MNR">Minerals  : {{ unit.minerals }}</p>
            <p class="title VPG">Vespenes gas : {{ unit.vespene_gas }}</p>
            <p class="title SPP">Supply  : {{ unit.supply }}</p>
            <p class="title HTK">Hotkey  : {{ unit.hotkey }}</p>

        </div>

    </section> 

    <section class="abilities_desc"> 



        <section class="capacites">

            <p class="title_abilities"> Abilities </p>

            {% for ability in unit.abilities %}

            <section class="upgrades_units">

                <div class="prez">

                    <img src="{{ ability.icon }}"/>

                    {% if ability.name != null %}
                        <p class="title">{{ ability.name }}</p>
                    {% endif %}

                </div>

                {% if ability.description != null %}
                <p class="title">{{ ability.description }}</p>
                {% endif %}

                {% if ability.cost != null %}
                <p class="title">Cost : {{ ability.cost }} {{ ability.cost_type }}</p>
                {% endif %} 

                {% if ability.duration != null %}
                <p class="title">Duration  : {{ ability.duration }}</p>
                {% endif %}

            </section>

            {% endfor %}

        </section>

        <section class="ameliorations">

            <p class="title_upgrades"> Upgrades </p>

            {% for upgrade in unit.upgrades %}

            <section class="upgrades_units">
                <div class="prez">
                    <img src="{{ upgrade.icon }}"/>
                    <p class="title">{{ upgrade.name}}</p>
                </div>
                <p class="title">{{ upgrade.description}}</p>
                <p class="title build_time">Build time  : {{ upgrade.build_time}}</p>
                <p class="title minerals">Minerals  : {{ upgrade.minerals}}</p>
                <p class="title vespene_gas">Vespene gas  : {{ upgrade.vespene_gas}}</p>
            
            </section>
                
            {% endfor %}

        </section>

    </section>

</section>

{% endblock %}